package com.teamtreehouse.stormy.databinding;
import com.teamtreehouse.stormy.R;
import com.teamtreehouse.stormy.BR;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ActivityMainBinding extends android.databinding.ViewDataBinding  {

    @Nullable
    private static final android.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.degreeImageView, 6);
        sViewsWithIds.put(R.id.locationValue, 7);
        sViewsWithIds.put(R.id.iconImageView, 8);
        sViewsWithIds.put(R.id.guideline, 9);
        sViewsWithIds.put(R.id.guideline2, 10);
        sViewsWithIds.put(R.id.humidityLabel, 11);
        sViewsWithIds.put(R.id.precipLabel, 12);
        sViewsWithIds.put(R.id.darkSkyAttribution, 13);
        sViewsWithIds.put(R.id.refreshImageView, 14);
    }
    // views
    @NonNull
    public final android.widget.TextView darkSkyAttribution;
    @NonNull
    public final android.widget.ImageView degreeImageView;
    @NonNull
    public final android.support.constraint.Guideline guideline;
    @NonNull
    public final android.support.constraint.Guideline guideline2;
    @NonNull
    public final android.widget.TextView humidityLabel;
    @NonNull
    public final android.widget.TextView humidityValue;
    @NonNull
    public final android.widget.ImageView iconImageView;
    @NonNull
    public final android.widget.TextView locationValue;
    @NonNull
    private final android.support.constraint.ConstraintLayout mboundView0;
    @NonNull
    public final android.widget.TextView precipLabel;
    @NonNull
    public final android.widget.TextView precipValue;
    @NonNull
    public final android.widget.ImageView refreshImageView;
    @NonNull
    public final android.widget.TextView summaryValue;
    @NonNull
    public final android.widget.TextView temperatureView;
    @NonNull
    public final android.widget.TextView timeValue;
    // variables
    @Nullable
    private com.teamtreehouse.stormy.CurrentWeather mWeather;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ActivityMainBinding(@NonNull android.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        super(bindingComponent, root, 0);
        final Object[] bindings = mapBindings(bindingComponent, root, 15, sIncludes, sViewsWithIds);
        this.darkSkyAttribution = (android.widget.TextView) bindings[13];
        this.degreeImageView = (android.widget.ImageView) bindings[6];
        this.guideline = (android.support.constraint.Guideline) bindings[9];
        this.guideline2 = (android.support.constraint.Guideline) bindings[10];
        this.humidityLabel = (android.widget.TextView) bindings[11];
        this.humidityValue = (android.widget.TextView) bindings[3];
        this.humidityValue.setTag(null);
        this.iconImageView = (android.widget.ImageView) bindings[8];
        this.locationValue = (android.widget.TextView) bindings[7];
        this.mboundView0 = (android.support.constraint.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        this.precipLabel = (android.widget.TextView) bindings[12];
        this.precipValue = (android.widget.TextView) bindings[4];
        this.precipValue.setTag(null);
        this.refreshImageView = (android.widget.ImageView) bindings[14];
        this.summaryValue = (android.widget.TextView) bindings[5];
        this.summaryValue.setTag(null);
        this.temperatureView = (android.widget.TextView) bindings[1];
        this.temperatureView.setTag(null);
        this.timeValue = (android.widget.TextView) bindings[2];
        this.timeValue.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x2L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.weather == variableId) {
            setWeather((com.teamtreehouse.stormy.CurrentWeather) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setWeather(@Nullable com.teamtreehouse.stormy.CurrentWeather Weather) {
        this.mWeather = Weather;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.weather);
        super.requestRebind();
    }
    @Nullable
    public com.teamtreehouse.stormy.CurrentWeather getWeather() {
        return mWeather;
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String stringValueOfWeatherFormattedTime = null;
        java.lang.String javaLangStringAtStringValueOfWeatherFormattedTime = null;
        java.lang.String weatherFormattedTime = null;
        double weatherHumidity = 0.0;
        com.teamtreehouse.stormy.CurrentWeather weather = mWeather;
        long mathRoundWeatherPrecipChanceInt100 = 0L;
        double weatherTemperature = 0.0;
        java.lang.String stringValueOfMathRoundWeatherPrecipChanceInt100 = null;
        java.lang.String stringValueOfMathRoundWeatherTemperature = null;
        java.lang.String stringValueOfMathRoundWeatherPrecipChanceInt100JavaLangString = null;
        java.lang.String javaLangStringAtStringValueOfWeatherFormattedTimeJavaLangStringItWillBe = null;
        double weatherPrecipChance = 0.0;
        long mathRoundWeatherTemperature = 0L;
        java.lang.String stringValueOfWeatherHumidity = null;
        java.lang.String weatherSummary = null;
        double weatherPrecipChanceInt100 = 0.0;

        if ((dirtyFlags & 0x3L) != 0) {



                if (weather != null) {
                    // read weather.formattedTime
                    weatherFormattedTime = weather.getFormattedTime();
                    // read weather.humidity
                    weatherHumidity = weather.getHumidity();
                    // read weather.temperature
                    weatherTemperature = weather.getTemperature();
                    // read weather.precipChance
                    weatherPrecipChance = weather.getPrecipChance();
                    // read weather.summary
                    weatherSummary = weather.getSummary();
                }


                // read String.valueOf(weather.formattedTime)
                stringValueOfWeatherFormattedTime = java.lang.String.valueOf(weatherFormattedTime);
                // read String.valueOf(weather.humidity)
                stringValueOfWeatherHumidity = java.lang.String.valueOf(weatherHumidity);
                // read Math.round(weather.temperature)
                mathRoundWeatherTemperature = java.lang.Math.round(weatherTemperature);
                // read (weather.precipChance) * (100)
                weatherPrecipChanceInt100 = (weatherPrecipChance) * (100);


                // read ("At ") + (String.valueOf(weather.formattedTime))
                javaLangStringAtStringValueOfWeatherFormattedTime = ("At ") + (stringValueOfWeatherFormattedTime);
                // read String.valueOf(Math.round(weather.temperature))
                stringValueOfMathRoundWeatherTemperature = java.lang.String.valueOf(mathRoundWeatherTemperature);
                // read Math.round((weather.precipChance) * (100))
                mathRoundWeatherPrecipChanceInt100 = java.lang.Math.round(weatherPrecipChanceInt100);


                // read (("At ") + (String.valueOf(weather.formattedTime))) + (" it will be")
                javaLangStringAtStringValueOfWeatherFormattedTimeJavaLangStringItWillBe = (javaLangStringAtStringValueOfWeatherFormattedTime) + (" it will be");
                // read String.valueOf(Math.round((weather.precipChance) * (100)))
                stringValueOfMathRoundWeatherPrecipChanceInt100 = java.lang.String.valueOf(mathRoundWeatherPrecipChanceInt100);


                // read (String.valueOf(Math.round((weather.precipChance) * (100)))) + (" %")
                stringValueOfMathRoundWeatherPrecipChanceInt100JavaLangString = (stringValueOfMathRoundWeatherPrecipChanceInt100) + (" %");
        }
        // batch finished
        if ((dirtyFlags & 0x3L) != 0) {
            // api target 1

            android.databinding.adapters.TextViewBindingAdapter.setText(this.humidityValue, stringValueOfWeatherHumidity);
            android.databinding.adapters.TextViewBindingAdapter.setText(this.precipValue, stringValueOfMathRoundWeatherPrecipChanceInt100JavaLangString);
            android.databinding.adapters.TextViewBindingAdapter.setText(this.summaryValue, weatherSummary);
            android.databinding.adapters.TextViewBindingAdapter.setText(this.temperatureView, stringValueOfMathRoundWeatherTemperature);
            android.databinding.adapters.TextViewBindingAdapter.setText(this.timeValue, javaLangStringAtStringValueOfWeatherFormattedTimeJavaLangStringItWillBe);
        }
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;

    @NonNull
    public static ActivityMainBinding inflate(@NonNull android.view.LayoutInflater inflater, @Nullable android.view.ViewGroup root, boolean attachToRoot) {
        return inflate(inflater, root, attachToRoot, android.databinding.DataBindingUtil.getDefaultComponent());
    }
    @NonNull
    public static ActivityMainBinding inflate(@NonNull android.view.LayoutInflater inflater, @Nullable android.view.ViewGroup root, boolean attachToRoot, @Nullable android.databinding.DataBindingComponent bindingComponent) {
        return android.databinding.DataBindingUtil.<ActivityMainBinding>inflate(inflater, com.teamtreehouse.stormy.R.layout.activity_main, root, attachToRoot, bindingComponent);
    }
    @NonNull
    public static ActivityMainBinding inflate(@NonNull android.view.LayoutInflater inflater) {
        return inflate(inflater, android.databinding.DataBindingUtil.getDefaultComponent());
    }
    @NonNull
    public static ActivityMainBinding inflate(@NonNull android.view.LayoutInflater inflater, @Nullable android.databinding.DataBindingComponent bindingComponent) {
        return bind(inflater.inflate(com.teamtreehouse.stormy.R.layout.activity_main, null, false), bindingComponent);
    }
    @NonNull
    public static ActivityMainBinding bind(@NonNull android.view.View view) {
        return bind(view, android.databinding.DataBindingUtil.getDefaultComponent());
    }
    @NonNull
    public static ActivityMainBinding bind(@NonNull android.view.View view, @Nullable android.databinding.DataBindingComponent bindingComponent) {
        if (!"layout/activity_main_0".equals(view.getTag())) {
            throw new RuntimeException("view tag isn't correct on view:" + view.getTag());
        }
        return new ActivityMainBinding(bindingComponent, view);
    }
    /* flag mapping
        flag 0 (0x1L): weather
        flag 1 (0x2L): null
    flag mapping end*/
    //end
}